/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_pow.c                                           :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: vbudnik <marvin@42.fr>                     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2017/11/19 04:56:30 by vbudnik           #+#    #+#             */
/*   Updated: 2017/11/19 04:59:21 by vbudnik          ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

int		ft_pow(int x, int n)
{
	if (n == 0)
		return (1);
	if (n < 0)
		return (ft_pow(1 / x, -n));
	return (x * ft_pow(x, n - 1));
}
